%define pkg_name        Devel-SawAmpersand
%define pkg_version     0.31
%define rpm_pkg_version 0.31
%define rpm_pkg_release 1.n0i.2

Summary:       Perl extension querying sawampersand variable
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AN/ANDK/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
There's a global variable in the perl source, called sawampersand. It gets
set to true in that moment in which the parser sees one of $`, $', and $&.
It never can be set to false again. Trying to set it to false breaks the
handling of the $`, $&, and $' completely. If the global variable
"sawampersand" is set to true, all subsequent RE operations will be
accompanied by massive in-memory copying, because there is nobody in the
perl source who could predict, when the (necessary) copy for the ampersand
family will be needed. So all subsequent REs are considerable slower than
necessary.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.31-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.31

* Sat Apr 15 2006 Marius Feraru <altblue@n0i.net> 0.30-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
